Plugin Dependencies and Licenses

Answered

Hi there,

We are developing a plugin that includes a library that is under open source GPL v3.0 and we are also planning to publish the plugin under the same open-source GPL v3.0 license. We wanted to know whether this will be allowed or would it conflict with IntelliJ IDEA licensing, which is under Apache 2.0?

While checking the previous questions on this like - https://intellij-support.jetbrains.com/hc/en-us/articles/206558629, it seems this will not be an issue, but we wanted to confirm the license compatibility.

1 comment
Comment actions Permalink
Official comment

Hi,

Yes, you're right! There won't be any conflicts between your Plugin and IntelliJ IDEA licenses. Actually, you must provide your own end user license agreement with any Plugin you make available via JetBrains Marketplace.

It's important to note that you are the licensor of your Plugins (as a plugin developer). We are not a party to your agreement and we are not responsible for or liable to Customers or Resellers' customers in any way. That is why it won't conflict or relate to IntelliJ IDEA licenses in any way. 

Please sign in to leave a comment.